uboot: (firmwareOdroidC2/C4) don't invoke patch tool, use patches = [] instead
https://github.com/NixOS/nixpkgs/blob/master/pkgs/stdenv/generic/setup.sh#L948 this can do it nicely. Signed-off-by: Anton Arapov <anton@deadbeef.mx>
This commit is contained in:
commit
56de2bcd43
30691 changed files with 3076956 additions and 0 deletions
26
pkgs/applications/video/avidemux/bootstrap_logging.patch
Normal file
26
pkgs/applications/video/avidemux/bootstrap_logging.patch
Normal file
|
|
@ -0,0 +1,26 @@
|
|||
diff --git a/bootStrap.bash b/bootStrap.bash
|
||||
index 646a5e048..6429199ba 100644
|
||||
--- a/bootStrap.bash
|
||||
+++ b/bootStrap.bash
|
||||
@@ -4,6 +4,7 @@
|
||||
#
|
||||
# By default we use qt5 now
|
||||
#
|
||||
+set -e # hard fail if something fails
|
||||
packages_ext=""
|
||||
rebuild=0
|
||||
do_core=1
|
||||
@@ -66,10 +67,10 @@ Process()
|
||||
fi
|
||||
cd $BUILDDIR
|
||||
cmake $COMPILER $PKG $FAKEROOT $QT_FLAVOR -DCMAKE_EDIT_COMMAND=vim $INSTALL_PREFIX $EXTRA $BUILD_QUIRKS $ASAN $DEBUG -G "$BUILDER" $SOURCEDIR || fail cmakeZ
|
||||
- make $PARAL >& /tmp/log$BUILDDIR || fail "make, result in /tmp/log$BUILDDIR"
|
||||
- if [ "x$PKG" != "x" ] ; then
|
||||
+ make $PARAL
|
||||
+ if [ "x$PKG" != "x" ] ; then
|
||||
$FAKEROOT_COMMAND make package DESTDIR=$FAKEROOT_DIR/tmp || fail package
|
||||
- fi
|
||||
+ fi
|
||||
# we need the make install so that other packcges can be built against this one
|
||||
make install DESTDIR=$FAKEROOT_DIR
|
||||
}
|
||||
99
pkgs/applications/video/avidemux/default.nix
Normal file
99
pkgs/applications/video/avidemux/default.nix
Normal file
|
|
@ -0,0 +1,99 @@
|
|||
{ stdenv, lib, fetchurl, cmake, pkg-config
|
||||
, zlib, gettext, libvdpau, libva, libXv, sqlite
|
||||
, yasm, freetype, fontconfig, fribidi
|
||||
, makeWrapper, libXext, libGLU, qttools, qtbase, wrapQtAppsHook
|
||||
, alsa-lib
|
||||
, withX265 ? true, x265
|
||||
, withX264 ? true, x264
|
||||
, withXvid ? true, xvidcore
|
||||
, withLAME ? true, lame
|
||||
, withFAAC ? false, faac
|
||||
, withVorbis ? true, libvorbis
|
||||
, withPulse ? true, libpulseaudio
|
||||
, withFAAD ? true, faad2
|
||||
, withOpus ? true, libopus
|
||||
, withVPX ? true, libvpx
|
||||
, withQT ? true
|
||||
, withCLI ? true
|
||||
, default ? "qt5"
|
||||
, withPlugins ? true
|
||||
}:
|
||||
|
||||
assert withQT -> qttools != null && qtbase != null;
|
||||
assert default != "qt5" -> default == "cli";
|
||||
assert !withQT -> default != "qt5";
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
pname = "avidemux";
|
||||
version = "2.8.0";
|
||||
|
||||
src = fetchurl {
|
||||
url = "mirror://sourceforge/avidemux/avidemux/${version}/avidemux_${version}.tar.gz";
|
||||
sha256 = "sha256-0exvUnflEijs8O4cqJ+uJMWR9SD4fOlvq+yIGNBN4zs=";
|
||||
};
|
||||
|
||||
patches = [
|
||||
./dynamic_install_dir.patch
|
||||
./bootstrap_logging.patch
|
||||
];
|
||||
|
||||
nativeBuildInputs =
|
||||
[ yasm cmake pkg-config ]
|
||||
++ lib.optional withQT wrapQtAppsHook;
|
||||
buildInputs = [
|
||||
zlib gettext libvdpau libva libXv sqlite fribidi fontconfig
|
||||
freetype alsa-lib libXext libGLU makeWrapper
|
||||
] ++ lib.optional withX264 x264
|
||||
++ lib.optional withX265 x265
|
||||
++ lib.optional withXvid xvidcore
|
||||
++ lib.optional withLAME lame
|
||||
++ lib.optional withFAAC faac
|
||||
++ lib.optional withVorbis libvorbis
|
||||
++ lib.optional withPulse libpulseaudio
|
||||
++ lib.optional withFAAD faad2
|
||||
++ lib.optional withOpus libopus
|
||||
++ lib.optionals withQT [ qttools qtbase ]
|
||||
++ lib.optional withVPX libvpx;
|
||||
|
||||
buildCommand = let
|
||||
qtVersion = "5.${lib.versions.minor qtbase.version}";
|
||||
wrapWith = makeWrapper: filename:
|
||||
"${makeWrapper} ${filename} --set ADM_ROOT_DIR $out --prefix LD_LIBRARY_PATH : ${libXext}/lib";
|
||||
wrapQtApp = wrapWith "wrapQtApp";
|
||||
wrapProgram = wrapWith "wrapProgram";
|
||||
in ''
|
||||
unpackPhase
|
||||
cd "$sourceRoot"
|
||||
patchPhase
|
||||
|
||||
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH''${LD_LIBRARY_PATH:+:}${libXext}/lib"
|
||||
${stdenv.shell} bootStrap.bash \
|
||||
--with-core \
|
||||
${if withQT then "--with-qt" else "--without-qt"} \
|
||||
${if withCLI then "--with-cli" else "--without-cli"} \
|
||||
${if withPlugins then "--with-plugins" else "--without-plugins"}
|
||||
|
||||
mkdir $out
|
||||
cp -R install/usr/* $out
|
||||
|
||||
${wrapProgram "$out/bin/avidemux3_cli"}
|
||||
|
||||
${lib.optionalString withQT ''
|
||||
${wrapQtApp "$out/bin/avidemux3_qt5"}
|
||||
${wrapQtApp "$out/bin/avidemux3_jobs_qt5"}
|
||||
''}
|
||||
|
||||
ln -s "$out/bin/avidemux3_${default}" "$out/bin/avidemux"
|
||||
|
||||
fixupPhase
|
||||
'';
|
||||
|
||||
meta = with lib; {
|
||||
homepage = "http://fixounet.free.fr/avidemux/";
|
||||
description = "Free video editor designed for simple video editing tasks";
|
||||
maintainers = with maintainers; [ abbradar ];
|
||||
# "CPU not supported" errors on AArch64
|
||||
platforms = [ "i686-linux" "x86_64-linux" ];
|
||||
license = licenses.gpl2;
|
||||
};
|
||||
}
|
||||
12
pkgs/applications/video/avidemux/dynamic_install_dir.patch
Normal file
12
pkgs/applications/video/avidemux/dynamic_install_dir.patch
Normal file
|
|
@ -0,0 +1,12 @@
|
|||
diff -ru3 avidemux_2.6.15-old/avidemux_core/ADM_core/src/ADM_folder_linux.cpp avidemux_2.6.15/avidemux_core/ADM_core/src/ADM_folder_linux.cpp
|
||||
--- avidemux_2.6.15-old/avidemux_core/ADM_core/src/ADM_folder_linux.cpp 2016-11-23 02:13:41.406566362 +0300
|
||||
+++ avidemux_2.6.15/avidemux_core/ADM_core/src/ADM_folder_linux.cpp 2016-11-23 02:14:33.433566147 +0300
|
||||
@@ -92,7 +92,7 @@
|
||||
|
||||
char *ADM_getInstallRelativePath(const char *base1, const char *base2, const char *base3)
|
||||
{
|
||||
- return ADM_getRelativePath(ADM_INSTALL_DIR, base1, base2, base3);
|
||||
+ return ADM_getRelativePath(getenv("ADM_ROOT_DIR"), base1, base2, base3);
|
||||
}
|
||||
const std::string ADM_getI8NDir(const std::string &flavor)
|
||||
{
|
||||
Loading…
Add table
Add a link
Reference in a new issue